summaryrefslogtreecommitdiff
path: root/tests/mtime-old.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mtime-old.script')
-rwxr-xr-xtests/mtime-old.script15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/mtime-old.script b/tests/mtime-old.script
new file mode 100755
index 0000000..b58b53e
--- /dev/null
+++ b/tests/mtime-old.script
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -eu
+
+touch -t 197001010000.00 "$DATADIR/mtime-old.trigger"
+cat <<EOF > "$DATADIR/mtime-old.tasks"
+date:
+ trigger-file: $DATADIR/mtime-old.trigger
+ trigger-age: 10
+ command: echo triggered > $DATADIR/mtime-old.out
+EOF
+
+
+./desktop-cronish --quiet --max-jobs 5 "$DATADIR/mtime-old.tasks"
+cat "$DATADIR/mtime-old.out"